PYSIDE6-DEPLOY(1)

NAME
pyside6-deploy - deploy

DESCRIPTION
usage: deploy.py [-h] [-c CONFIG_FILE] [--init] [-v] [--dry-run]

    [--keep-deployment-files] [-f] [--name NAME] [--extra-ignore-dirs EXTRA_IGNORE_DIRS] [--extra-modules EXTRA_MODULES] [--mode {onefile,standalone}] [main_file]

This tool deploys PySide6 to desktop (Windows, Linux, macOS) platforms. The following types of executables are produced as per the platform: Windows = .exe macOS = .app Linux = .bin

  positional arguments:

main_file
    Path to main python file

  options:

-h, --help
    show this help message and exit

-c, --config-file CONFIG_FILE
    Path to the .spec config file

--init
    Create pysidedeploy.spec file, if it doesn't already exists

-v, --verbose
    Run in verbose mode

--dry-run
    Show the commands to be run

--keep-deployment-files
    Keep the generated deployment files generated

-f, --force
    Force all input prompts

--name NAME
    Application name

--extra-ignore-dirs EXTRA_IGNORE_DIRS
    Comma-separated directory names inside the project dir. These directories will be skipped when searching for Python files relevant to the project. Example usage: --extra-ignore-dirs=doc,translations

--extra-modules EXTRA_MODULES
    Comma-separated list of Qt modules to be added to the application, in case they are not found automatically. This occurs when you have 'import PySide6' in your code instead 'from PySide6 import <module>'. The module name is specified by either omitting the prefix of Qt or including it. Example usage 1: --extramodules=Network,Svg Example usage 2: --extramodules=QtNetwork,QtSvg

--mode {onefile,standalone}
    The mode in which the application is deployed. The options are: onefile, standalone. The default value is onefile. This options translates to the mode Nuitka uses to create the executable. macOS by default uses the --standalone option.